Installing RMagick on UBUNTU 9.04

I installed ImageMagick 6.5.6 and all seems to be installed ok.

I downloaded ImageMagick 6.5.6

I entered
$ ./configure

and everything seems OK. When I enter
$ identify -version

I get
Version: ImageMagick 6.5.6-6 2009-09-30 Q8 OpenMP http://www.imagemagick.org
Copyright: Copyright (C) 1999-2009 ImageMagick Studio LLC

I then enter
$ sudo gem install rmagick
I get
Building native extensions. This could take a while...
Successfully installed rmagick-2.11.1
1 gem installed

To check the install I enter
$ sudo irb -rubygems -r RMagick

and I get

/usr/lib/ruby/gems/1.8/gems/rmagick-2.11.1/lib/
RMagick2.so:RuntimeError: This installation of RMagick was configured
with ImageMagick 6.5.6 but ImageMagick 6.4.5 is in use.

what am I doing wrong? How can I fix this? Thank you for your help.

When i did this i did it from apt and not source and it worked
cleanly, all i had to do was install the libmagick packages.

If you are able to, then just go with the packages. If you are stuck
with source then sorry my reply isnt any help.

Thanks Kyle,

I uninstalled the source version using make uninstall and reinstalled
using the packages. I was finally successful. I appreciate your quick
response